<ion-header>
  <ion-toolbar class="backazul">
    <ion-row class="backazul">
      <ion-col size="2" class="ion-text-center">
        <ion-icon name="arrow-back-sharp" style="font-size: 27px;color: #ffffff;font-weight: bolder;" routerLink="/tabs/tab4"></ion-icon>
      </ion-col>
      <ion-col size="8" class="ion-text-center">
          <h1 style="color: white;margin-top:0px;">MI PERFIL</h1>
      </ion-col>
      <ion-col size="2">

      </ion-col>
    </ion-row>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-row class="pad ion-margin-top">
      <ion-col size="12" class="ion-text-center mt-50 mb-50">
        <h1>CAMBIAR CONTRASEÑA</h1>
      </ion-col>

      <ion-col size="1"></ion-col>
      <ion-col size="11" class="ion-text-left">
        <ion-label color="primary">Contraseña actual</ion-label>
      </ion-col>
      <ion-col size="1"></ion-col>
      <ion-col size="10" class="mb-20">
        <ion-input type="password" #pass1 (ionChange)="vercontra($event)" type="password" [type]="tipodeinput"></ion-input>
      </ion-col>
      <ion-col size="1">
        <button *ngIf="mostrariconover" style="padding: 0;
    padding-top: 5px;" class="btn_eye_icon" (click)="togglePasswordMode()">
              <ion-icon  item-end  [name]="(tipodeinput === 'text')?'eye':'eye-off'"></ion-icon>
      </button>
      </ion-col>

      <ion-col size="1"></ion-col>
      <ion-col size="11" class="ion-text-left">
        <ion-label color="primary">Nueva Contraseña</ion-label>
      </ion-col>
      <ion-col size="1"></ion-col>
      <ion-col size="10" class="mb-20">
        <ion-input type="password" #pass2 (ionChange)="vercontra1($event)" type="password" [type]="tipodeinput1"></ion-input>
      </ion-col>
      <ion-col size="1">
        <button *ngIf="mostrariconover1" style="padding: 0;
    padding-top: 5px;" class="btn_eye_icon" (click)="togglePasswordMode1()">
              <ion-icon  item-end  [name]="(tipodeinput1 === 'text')?'eye':'eye-off'"></ion-icon>
      </button>
      </ion-col>

      <ion-col size="1"></ion-col>
      <ion-col size="11" class="ion-text-left">
        <ion-label color="primary">Confirmar Contraseña</ion-label>
      </ion-col>
      <ion-col size="1"></ion-col>
      <ion-col size="10" class="mb-20">
        <ion-input type="password" #pass3 (ionChange)="vercontra2($event)" type="password" [type]="tipodeinput2">
        </ion-input>
      </ion-col>
      <ion-col size="1">
        <button *ngIf="mostrariconover2" style="padding: 0;padding-top: 5px;" class="btn_eye_icon" (click)="togglePasswordMode2()">
              <ion-icon  item-end  [name]="(tipodeinput2 === 'text')?'eye':'eye-off'"></ion-icon>
          </button>
      </ion-col>

    </ion-row>

    <ion-row class="ion-margin-bottom mt-50">
      <ion-col size="12" class="ion-text-center">
        <ion-button color="primary" (click)="cambiarcontra()">
          <ion-icon name="save-sharp" style="color: #ffffff;"></ion-icon>
        GUARDAR
        </ion-button>
      </ion-col>
    </ion-row>
</ion-content>
